﻿namespace SSM.BusinessLayer.Enums
{
	public enum PerfMonitorType
	{
		Generic = 0,
		Cpu = 1000,
		CpuLoad = 1001,
		Memory = 1100,
        MemoryUsage = 1101,
		Disk = 1200,
		DiskFreeSpace = 1201,
		DiskLoadTotal = 1220,
		DiskLoadRead = 1221,
		DiskLoadWrite = 1222,
		Network = 1300,
		NetworkBytesPerSecTotal = 1310,
		NetworkBytesPerSecSent = 1311,
		NetworkBytesPerSecReceived = 1312,
		Tcp = 1350,
		TcpConnectionsEstablished = 1351
	}

	public enum SensorMonitorType
	{
		Generic = 0,
		CpuTemp = 100,
		CpuFan = 101,
		MotherboardTemp = 110,
		MotherboardFan = 111,
		MemoryTemp = 120,
		DiskTemp = 130
	}

	public enum AlertSeverity
	{
		Normal = 0,
		Warning = 10,
		Critical = 20
	}
}