﻿<%@ Page CodeBehind="Default.aspx.cs" Inherits="SSM.WebReports.Default_aspx" EnableViewState="false" EnableSessionState="true" %>
<%@ OutputCache Duration="3600" VaryByParam="*" Location="ServerAndClient" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Devv - Server Status</title>
	<link rel="stylesheet" type="text/css" href="Styles.css" />
	<script type="text/javascript" src="Gauge/Gauge.js"></script>
	<script type="text/javascript" src="Gauge/bindows_gauges.js"></script>
	<script type="text/javascript">
		var gaugeCpu;
		var gaugeMemory;
		var gaugeDisk;
		var gaugeNetwork;
	</script>
</head>
<body>
    <form runat="server">
		<asp:ScriptManager runat="server" />
		<h1>
			<img src="Images/IcoServer48.png" width="48" height="48" alt="*" />
			<asp:Literal meta:resourcekey="LitPageTitle" runat="server" />
		</h1>
		<div class="Panel">
			<div class="Header">
				<h2><asp:Literal meta:resourcekey="LitServerInfo" runat="server" /></h2>
			</div>
			<div class="PanelContents">
				<asp:Label CssClass="InfoLabel90" meta:resourcekey="LblProcessor" runat="server" />
				<asp:Label ID="LblInfoProcessor" runat="server" />
				<br />
				<asp:Label CssClass="InfoLabel90" meta:resourcekey="LblMemory" runat="server" />
				<asp:Label ID="LblInfoMemory" runat="server" />
				<br />
				<asp:Label CssClass="InfoLabel90" meta:resourcekey="LblDisk" runat="server" />
				<asp:Label ID="LblInfoDisk" runat="server" />
				<br />
				<asp:Label CssClass="InfoLabel90" meta:resourcekey="LblOS" runat="server" />
				<asp:Label ID="LblInfoPlatform" runat="server" />
				<br />
				<asp:Label CssClass="InfoLabel90" meta:resourcekey="LblServerName" runat="server" />
				<asp:Label ID="LblInfoServerName" runat="server" />
			</div>
		</div>
		<div class="Panel">
			<div class="Header">
				<h2><asp:Literal meta:resourcekey="LitServerLoad" runat="server" /></h2>
			</div>
			<div class="Table">
				<img class="TableIcon" width="32" height="32" src="Images/IcoCpu32.png" />
				<img class="TableIcon" width="32" height="32" src="Images/IcoMemory32.png" />
				<img class="TableIcon" width="32" height="32" src="Images/IcoDisk32.png" />
				<img class="TableIcon" width="32" height="32" src="Images/IcoNetwork32.png" />
				<br />
				<div id="divGaugeCpu" class="Gauge"></div>
				<div id="divGaugeMemory" class="Gauge"></div>
				<div id="divGaugeDisk" class="Gauge"></div>
				<div id="divGaugeNetwork" class="Gauge"></div>
			</div>
		</div>
		<div class="Panel">
			<div class="Header">
				<h2><asp:Literal meta:resourcekey="LitServerResources" runat="server" /></h2>
			</div>
			<div class="PanelContents">
				<asp:Label CssClass="InfoLabel155" meta:resourcekey="LitFreeMemory" runat="server" />
				<asp:Label ID="LblFreeMemoryValue" runat="server" />
				<br />
				<asp:Label CssClass="InfoLabel155" meta:resourcekey="LitTcpConnections" runat="server" />
				<asp:Label ID="LblTcpConnectionsValue" runat="server" />
				<br />
				<asp:Label CssClass="InfoLabel155" meta:resourcekey="LitRunningProcesses" runat="server" />
				<asp:Label ID="LblRunningProcessesValue" runat="server" />
			</div>
		</div>
		<asp:Panel ID="PanUptimeMonitoring" CssClass="Panel" runat="server">
			<div class="Header">
				<h2><asp:Literal meta:resourcekey="LitUptimeMonitoring" runat="server" /></h2>
			</div>
			<div class="PanelContents">
				<asp:Literal meta:resourcekey="LitLastRestart" runat="server" />
				<asp:Literal ID="LitLastRestartValue" runat="server" />
			</div>
			<div class="PanelContents">
				<asp:Literal ID="LitUptimeStats" runat="server" />
				<asp:Panel ID="PanServiceUptime" runat="server">
					<asp:Literal meta:resourcekey="LitServiceUptimeInfo" runat="server" />
					<asp:HyperLink NavigateUrl="http://www.serviceuptime.com/?aff=D8Z7" meta:resourcekey="LinkServiceUptime" runat="server" />.
				</asp:Panel>
			</div>
		</asp:Panel>
		<script type="text/javascript">
			gaugeCpu = bindows.loadGaugeIntoDiv("Gauge/PerfGauge.xml", "divGaugeCpu");
			gaugeMemory = bindows.loadGaugeIntoDiv("Gauge/PerfGauge.xml", "divGaugeMemory");
			gaugeDisk = bindows.loadGaugeIntoDiv("Gauge/PerfGauge.xml", "divGaugeDisk");
			gaugeNetwork = bindows.loadGaugeIntoDiv("Gauge/PerfGauge.xml", "divGaugeNetwork");
		</script>
		<asp:UpdatePanel RenderMode="Inline" runat="server">
			<ContentTemplate>
				<asp:Timer ID="TimerRefreshLoad" OnTick="TimerRefreshLoad_Tick" runat="server" />
			</ContentTemplate>
		</asp:UpdatePanel>
		<div class="Ads">
			<script type="text/javascript"><!--
				google_ad_client = "pub-6701880236472336";
				google_ad_slot = "1523083000";
				google_ad_width = 728;
				google_ad_height = 90;
			//-->
			</script>
			<script type="text/javascript" src="http://pagead2.googlesyndication.com/pagead/show_ads.js"></script>
		</div>
		<div class="Footer">
			<div class="FooterDonate">
				<a href="https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=5252984" title="PayPal"><img src="Images/Donate.png" width="62" height="31" alt="PayPal" /></a>
			</div>
			<div class="FooterContents">
				<img class="FooterIcon" src="Images/IcoMonitor16.png" width="16" height="16" alt="*" />
				<asp:Label meta:resourcekey="LblCopyright" runat="server" />
				<asp:HyperLink NavigateUrl="http://ssm.devv.com/" Text="http://ssm.devv.com" meta:resourcekey="LinkSSM" runat="server" />
			</div>
		</div>
		<asp:Panel ID="PanError" CssClass="Panel Errors" runat="server">
			<strong><asp:Literal meta:resourcekey="LitErrors" runat="server" /></strong>
			<br />
		</asp:Panel>
    </form>
</body>
</html>